- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- LogsInlineSource
Full name: projects.locations.instances.logTypes.logs.import
Import log telemetry.
HTTP request
POST https://{endpoint}/v1/{parent}/logs:import
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of logs. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"hint": string,
// The following is a list of mutually exclusive fields. At most one of the
// fields will be set in a response:
"inlineSource": {
object ( |
| Fields | |
|---|---|
hint |
Optional. Opaque hint to help parsing the log. |
| The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
inlineSource |
Required. Logs to be imported are specified inline. |
| End of mutually exclusive fields. | |
Response body
If successful, the response body is empty.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.logs.import
For more information, see the IAM documentation.
LogsInlineSource
A import source with the logs to import included inline.
| JSON representation |
|---|
{
"logs": [
{
object ( |
| Fields | |
|---|---|
logs[] |
Required. The logs being imported. |
forwarder |
Optional. The forwarder sending the import request. This value determines the SecOps CollectorID. |
sourceFilename |
Optional. Source file name. Populated for certain types of files processed by the outofband processor which may have metadata encoded in it for use by the parser. |